package com.ywt.outpatient.params.mg.order;

import com.ywt.outpatient.params.api.order.GoodsParmVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author daiyihua
 * @create 2022-01-17 11:18
 * @program glasses_service
 * @description 创建订单Request
 **/
@ApiModel(value = "创建订单Request")
public class CreateOrderRequest {

    @ApiModelProperty(value = "患者姓名", example = "")
    private String patientName;

    @ApiModelProperty(value = "性别，1-男，2-女", example = "")
    private int sex;

    @ApiModelProperty(value = "年龄", example = "")
    private int age;

    @ApiModelProperty(value = "手机号", example = "")
    private String mobile;

    @ApiModelProperty(value = "眼镜参数", example = "")
    private GoodsParmVO param;

    @ApiModelProperty(value = "商品支付价格，单位：分", example = "")
    private int payAmount;

    @ApiModelProperty(value = "取货方式：0-自取，1邮寄", example = "")
    private int getChannel;

    @ApiModelProperty(value = "邮寄地址用户姓名", example = "")
    private String postName;

    @ApiModelProperty(value = "邮寄地址用户手机号", example = "")
    private String postMobile;

    @ApiModelProperty(value = "省市区的ids，比如：,省ID,市ID,区ID,", example = "")
    private String postAddressIds;

    @ApiModelProperty(value = "省", example = "")
    private String postProvince;

    @ApiModelProperty(value = "市", example = "")
    private String postCity;

    @ApiModelProperty(value = "区", example = "")
    private String postArea;

    @ApiModelProperty(value = "详细地址", example = "")
    private String postAddress;

    @ApiModelProperty(value = "商品列表", example = "")
    private List<GoodsDTO> goodsList;

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public GoodsParmVO getParam() {
        return param;
    }

    public void setParam(GoodsParmVO param) {
        this.param = param;
    }

    public int getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(int payAmount) {
        this.payAmount = payAmount;
    }

    public int getGetChannel() {
        return getChannel;
    }

    public void setGetChannel(int getChannel) {
        this.getChannel = getChannel;
    }

    public String getPostName() {
        return postName;
    }

    public void setPostName(String postName) {
        this.postName = postName;
    }

    public String getPostMobile() {
        return postMobile;
    }

    public void setPostMobile(String postMobile) {
        this.postMobile = postMobile;
    }

    public String getPostAddressIds() {
        return postAddressIds;
    }

    public void setPostAddressIds(String postAddressIds) {
        this.postAddressIds = postAddressIds;
    }

    public String getPostProvince() {
        return postProvince;
    }

    public void setPostProvince(String postProvince) {
        this.postProvince = postProvince;
    }

    public String getPostCity() {
        return postCity;
    }

    public void setPostCity(String postCity) {
        this.postCity = postCity;
    }

    public String getPostArea() {
        return postArea;
    }

    public void setPostArea(String postArea) {
        this.postArea = postArea;
    }

    public String getPostAddress() {
        return postAddress;
    }

    public void setPostAddress(String postAddress) {
        this.postAddress = postAddress;
    }

    public List<GoodsDTO> getGoodsList() {
        return goodsList;
    }

    public void setGoodsList(List<GoodsDTO> goodsList) {
        this.goodsList = goodsList;
    }
}
